wsgen(1)

NAME
wsgen - JAX-WS 2.0

SYNOPSIS
wsgen [options] SEI

DESCRIPTION
The wsgen tool generates JAX-WS portable artifacts used in JAX-WS web services. The tool reads a web service endpoint implementation class (SEI) and generates all the required artifacts for web service deployment, and invocation.

OPTIONS

-classpath path
    Specify where to find input class files

-cp path
    Same as -classpath

-d directory
    Specify where to place generated output files

-extension
    allow vendor extensions (functionality not specified by the specification). Use of extensions may result in applications that are not portable or may not interoperate with other implementations.

-help
    Display help

-keep
    Keep generated files

-r directory
    Used only in conjunction with the -wsdl option. Specify where to place generated resource files such as WSDLs.

-s directory
    Specify where to place generated source files

-verbose
    Output messages about what the compiler is doing

-version
    Print version information. Use of this option will ONLY print version information. Normal processing will not occur.

-wsdl[:protocol]
    By default wsgen does not generate a WSDL file. This flag is optional and will cause wsgen to generate a WSDL file and is usually only used so that the developer can look at the WSDL before the endpoint is deploy. The protocol is optional and is used to specify what protocol should be used in the wsdl:binding. Valid protocols include: soap1.1 and Xsoap1.2. The default is soap1.1. Xsoap1.2 is not standard and can only be used in conjunction with the -extension option.

-servicename name
    Used only in conjunction with the -wsdl option. Used to specify a particular wsdl:service name to be generated in the WSDL. Example, -servicename "{http://mynamespace/}MyService"

-portname name
    Used only in conjunction with the -wsdl option. Used to specify a particular wsdl:port name to be generated in the WSDL. Example, -portname "{http://mynamespace/}MyPort"

Example
wsgen -cp . -wsdl fromjava.server.AddNumbersImpl

This generates the portable JAX-WS artifacts that are required for Web Service deployment. It also generates the WSDL for the Web Service with the -wsdl option.